CAGIC dataset for text-based image cropping

We created a novel dataset based on MS-COCO, similarly to the refCOCOand Visual Genome datasets. We selected 100 images randomly from the MS-COCO test set to avoid the images being ever seen by any of our pre-trained networks and created our captions for each image. The photos can be found under images/.

In our new dataset, we are interested in evaluating the ability to generate crops related to a given caption automatically. We, therefore, manually generate descriptive expressions, focusing on distinctive parts of the image. Our captions are roughly ten words long on average to ensure that they are specific and clear.

We provide the collected ground truth annotations of 8 annotators who cropped the images, which correspond to the caption and are aesthetically pleasing to them. The captions and the ground truth annotations can be found in the annottaion.csv file.

[img name][MS-COCO val2014 Ids][Image caption][8 bbox annotations]

If you use our dataset, please cite:

Horanyi, N., Xia, K., Yi, K.M., Bojja, A.K., Leonardis, A. and Chang, H.J., 2022. Repurposing Existing Deep Networks for Caption and Aesthetic-Guided Image Cropping. Pattern Recognition, p.108485.

@article{horanyi2022repurposing,
  title={Repurposing Existing Deep Networks for Caption and Aesthetic-Guided Image Cropping},
  author={Horanyi, Nora and Xia, Kedi and Yi, Kwang Moo and Bojja, Abhishake Kumar and Leonardis, Ale{\v{s}} and Chang, Hyung Jin},
  journal={Pattern Recognition},
  pages={108485},
  year={2022},
  publisher={Elsevier}
}
